Articles of eclipse

Eclipse无法识别我的Android设备

当我将其插入eclipse以运行和调试我的应用程序时,我有三星galaxy选项卡。 Eclipse无法识别该设备。 当我和我朋友的Droid 2一起尝试时,它仍然无效。 有人可以帮帮我吗?

错误:找不到与给定名称匹配的资源(在’icon’处,值为’@ drawable / icon’)

错误:找不到与给定名称匹配的资源(在’icon’处,值为’@ drawable / icon’)。 这是我的表现……我对此非常陌生,今天早上刚刚开始,没有以前的编程经验。

Eclipse – Android库更新

与此处的问题相关,是否需要Android库更新步骤,如果没有,是否可以从启动和/或构建过程中删除它? 手动更新似乎是一个合适的选项,特别是如果它改善了构建时间并且您已经有一个先前的清理编译。

Eclipse ADT appcompat ……它是什么?

我整个下午都花了这么多时间。 我已经下载了Eclipse,下载了SDK,安装了更新,但每个新的Android项目我创建了一些错误。 首先,它根本不会生成R.java文件,现在它确实如此,但它有一个单独的项目,它自动创建名为appcompat_v7。 我不知道这是什么,但它导致任何其他新项目的问题。 这是正常项目产生的错误:容器’Android Dependencies’引用非现有库’/home/omar/workspace/appcompat_v7/bin/appcompat_v7.jar’ 我完全不知道如何解决这个问题。 是什么造成的? 编辑它似乎只有KitKat,每个其他API平台根本不生成任何源文件….任何想法如何打击这个?

在eclipse中使用Android build.xml?

我有一个Android项目,它有一个Ant构建文件。 它通过命令行很好用: rascher@coltrane:~/git/$ ant Buildfile: build.xml [setup] Android SDK Tools Revision 8 [setup] Project Target: Android 2.1-update1 [setup] API level: 7 [setup] … etc etc etc … 但是当我尝试在eclipse中使用它时, build.xml有一个red-X。 <project带有错误的下划线: 此项目中不存在默认目标帮助 看起来互联网上的其他人都有这个问题,这似乎是因为build.xml使用的指令来自这个buildfile导入的多个嵌套的特定于android的文件。 我的工作区中有其他项目使用Eclipse的构建机制,所以我知道我的环境能够编译,运行和部署Android应用程序而不会出现问题。 但是这个构建文件给我带来了麻烦。 修复是什么?

将项目导入Eclipse时,项目描述无效

我知道这个问题已在此处发布,但这并不能解决我的问题。 我从github分支中拉出一个项目,当我尝试导入它时: File->Import->General->Existing projects into workspace导入File->Import->General->Existing projects into workspace然后Select root directory ,这里当我点击Finish按钮时,我得到Invalid project description 。 我将项目拉入一个名为Android的文件夹,该文件夹包含我在Eclipse中导入的项目MyAndroidProject的主文件夹。 我不知道这里有什么问题。

仅在某些工作区中构建路径不完整(Android)

我有多个Eclipse(3.52“Galileo”))工作区,这样我就可以将相关项目保存在同一个工作区中。 我用File> Switch Workspace在它们之间切换。 我最近将一个好的,有效的项目复制到了一个不同的工作区,做了一个“文件>导入”来将它导入到它的新工作区中,但是在做了一个Clean和Build之后,得到了“ 该项目没有被构建,因为它的构建路径不完整。找不到java.lang.Object的类文件。修复构建路径然后尝试构建这个项目 “错误。 我所有的其他项目都很好。 我认为“构建路径”指的是搜索路径Java或SDK文件,那么为什么它只会在一个项目上失败(…在不同的工作区中构建良好的项目)? 我已经尝试重新启动eclipse,在工作空间之间来回切换,做另一个干净和构建,但没有运气。 有任何想法吗? 提前致谢。

带有android插件的Eclipse – 被阻止在“计算需求和依赖性”

在Eclipse中安装Android时遇到问题(Indigo和Helios,我尝试了很多不同的版本)。 当我使用地址http://dl-ssl.google.com/android/eclipse/或localy(使用存档)搜索插件时,它无效。 它find了开发工具,但它阻止了“计算需求和依赖性”。 有什么问题 ?

在android中重命名项目的简便方法

我已经下载了一个Android项目。 为了避免名称冲突,我想将它从com.android.zzz移动到com.my.zzz。 目前我正在使用Ecplise和标准的android工具包。 有没有比手动浏览文件更好的方法进行重命名?

如何使用Eclipse在Android设备上运行应用程序?

我正在为Android开发我的第一个应用程序,现在我使用ADT运行应用程序,现在我想在Android设备上运行应用程序,我该怎么做,需要帮助。 提前致谢